Skip to content

Top Cloud Connnect.

POST
/api/data/namespaces/system/top/cloud_connects
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/system/top/cloud_connects \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "end_time": "example", "field_selector": [ "METRIC_TYPE_NONE" ], "filter": "example", "limit": 1, "start_time": "example" }'

Request to GET top cloud connect from the AWS Cloudwatch metrics.

Examples of this operation.

Media typeapplication/json
Top Cloud Connect Request
object
end_time
End time

End time of flow collection Format: unix_timestamp|RFC 3339

Optional: If not specified, then the end_time will be evaluated to start_time+10m If start_time is not specified, then the end_time will be evaluated to

string
<= 1024 characters
field_selector
Metric Selector

Metric fields to be returned in the response. If no metric fields are specified in the request, then the response will not contain any metric data.

Array<string>
Allowed values: METRIC_TYPE_NONE METRIC_TYPE_IN_BYTES METRIC_TYPE_OUT_BYTES METRIC_TYPE_TOTAL_BYTES
filter
Label Filter

\site-1”,“site-2”)}” filter is used to specify the list of matchers syntax for filter := {[]} :=

Optional: If not specified, counter will be aggregated based on the group_by labels.

string
<= 1024 characters
limit
Limit

Limits the number of results Default 20000 Required: YES.

integer format: int64
start_time
Start time

Start time of flow collection Format: unix_timestamp|RFC 3339

Optional: If not specified, then the start_time will be evaluated to end_time-10m If end_time is not specified, then the start_time will be evaluated to -10m.

string
<= 1024 characters

A successful response.

Media typeapplication/json
Top Cloud Connect Response
object
data
CloudConnectData

CloudConnectData wraps the response for the top cloud connect request.

Array<object>
TopCloudConnectData

TopCloudConnectData wraps all the response data.

object
data
Data

Flows data.

Array<object>
Field Data

Field Data contains key/value pairs that uniquely identifies the group_by labels specified in the request.

object
labels
Labels

Labels contains the name/value pair. “name” is the label defined in Labels.

object
status
string
default: STATUS_UNKNOWN
Allowed values: STATUS_UNKNOWN STATUS_DOWN STATUS_DEGRADED STATUS_UP
value
Value

List of metric values.

Array<object>
>= 3 characters <= 15 characters
Metric Value

Metric data contains timestamp and the value.

object
timestamp
Timestamp

Timestamp

number format: double
trend_value
object
description
Description

Description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

Configuration parameter for previous value

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
type
string
default: METRIC_TYPE_NONE
Allowed values: METRIC_TYPE_NONE METRIC_TYPE_IN_BYTES METRIC_TYPE_OUT_BYTES METRIC_TYPE_TOTAL_BYTES
step
step

Actual step size used in the response. It could be higher than the requested step due to metric rollups and the query duration. Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days.

string
<= 1024 characters
Example
{
"data": [
{
"data": [
{
"status": "STATUS_UNKNOWN",
"value": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
]
}
],
"type": "METRIC_TYPE_NONE"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example